package com.ruoyi.system.mapper.project;

import com.ruoyi.system.domain.project.BmProjectInfo;

import java.util.List;


/**
 * 项目-线索信息Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public interface BmProjectInfoMapper 
{
    /**
     * 查询项目-线索信息
     * 
     * @param id 项目-线索信息ID
     * @return 项目-线索信息
     */
    public BmProjectInfo selectBmProjectInfoById(Long id);

    /**
     * 查询项目-线索信息列表
     * 
     * @param bmProjectInfo 项目-线索信息
     * @return 项目-线索信息集合
     */
    public List<BmProjectInfo> selectBmProjectInfoList(BmProjectInfo bmProjectInfo);

    /**
     * 新增项目-线索信息
     * 
     * @param bmProjectInfo 项目-线索信息
     * @return 结果
     */
    public int insertBmProjectInfo(BmProjectInfo bmProjectInfo);

    /**
     * 修改项目-线索信息
     * 
     * @param bmProjectInfo 项目-线索信息
     * @return 结果
     */
    public int updateBmProjectInfo(BmProjectInfo bmProjectInfo);

    /**
     * 删除项目-线索信息
     * 
     * @param id 项目-线索信息ID
     * @return 结果
     */
    public int deleteBmProjectInfoById(Long id);

    /**
     * 批量删除项目-线索信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBmProjectInfoByIds(Long[] ids);
}
